Skip to main content
GET
/
v1
/
reports
/
daily_peak
/
{iso}
Get daily peak report
curl --request GET \
  --url https://api.gridcertainty.com/v1/reports/daily_peak/{iso} \
  --header 'x-api-key: <api-key>'
{
  "iso": "<string>",
  "date": "<string>",
  "peak_load_mw": 123,
  "peak_time_utc": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.gridcertainty.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

iso
enum<string>
required

ISO code. Current public reporting support is ERCOT.

Available options:
ercot

Query Parameters

date
string
required

Date for the requested report, for example 2026-05-18.

Response

Daily peak report

iso
string
date
string
peak_load_mw
number | null
peak_time_utc
string | null